/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.inputcheck.bean;

import java.io.Serializable;

/**
 * 配列・コレクション型への入力クラス
 *
 */
public class ArrayData implements Serializable {
    
    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = 1360456219467524842L;

    /**
     * requiredArrayテスト
     */
    private String[] requiredArray = null;
    
    /**
     * maskArrayテスト
     */
    private String[] maskArray = null;
    
    /**
     * byteArrayテスト
     */
    private String[] byteArray = null;
    
    /**
     * shortArrayテスト
     */
    private String[] shortArray = null;
    
    /**
     * integerArrayテスト
     */
    private String[] integerArray = null;
    
    /**
     * longArrayテスト
     */
    private String[] longArray = null;
    
    /**
     * floatArrayテスト
     */
    private String[] floatArray = null;
    
    /**
     * doubleArrayテスト
     */
    private String[] doubleArray = null;
    
    /**
     * dateArrayテスト
     */
    private String[] dateArray = null;
    
    /**
     * intRangeArrayテスト
     */
    private String[] intRangeArray = null;
    
    /**
     * doubleRangeArrayテスト
     */
    private String[] doubleRangeArray = null;
    
    /**
     * floatRangeArrayテスト
     */
    private String[] floatRangeArray = null;
    
    /**
     * maxLengthArrayテスト
     */
    private String[] maxLengthArray = null;
    
    /**
     * minLengthArrayテスト
     */
    private String[] minLengthArray = null;
    
    /**
     * alphaNumericStringArrayテスト
     */
    private String[] alphaNumericStringArray = null;
    
    /**
     * capAlphaNumericStringArrayテスト
     */
    private String[] capAlphaNumericStringArray = null;
    
    /**
     * numberArrayテスト
     */
    private String[] numberArray = null;
    
    /**
     * hankakuKanaStringArrayテスト
     */
    private String[] hankakuKanaStringArray = null;
    
    /**
     * hankakuStringArrayテスト
     */
    private String[] hankakuStringArray = null;
    
    /**
     * zenkakuStringArrayテスト
     */
    private String[] zenkakuStringArray = null;
    
    /**
     * zenkakuKanaStringArrayテスト
     */
    private String[] zenkakuKanaStringArray = null;
    
    /**
     * prohibitedArrayテスト
     */
    private String[] prohibitedArray = null;
    
    /**
     * numericStringArrayテスト
     */
    private String[] numericStringArray = null;
    
    /**
     * stringLengthArrayテスト
     */
    private String[] stringLengthArray = null;
    
    /**
     * urlArrayテスト
     */
    private String[] urlArray = null;
    
    /**
     * byteRangeArrayテスト
     */
    private String[] byteRangeArray = null;
    
    /**
     * dateRangeArrayテスト
     */
    private String[] dateRangeArray = null;
    
    /**
     * alphaNumericStringArrayテストを取得する。
     * @return alphaNumericStringArray
     */
    public String[] getAlphaNumericStringArray() {
        return alphaNumericStringArray;
    }
    
    /**
     * alphaNumericStringArrayテストを設定する。
     * @param alphaNumericStringArray alphaNumericStringArrayテスト
     */
    public void setAlphaNumericStringArray(String[] alphaNumericStringArray) {
        this.alphaNumericStringArray = alphaNumericStringArray;
    }
    
    /**
     * byteArrayテストを取得する。
     * @return byteArrayテスト
     */
    public String[] getByteArray() {
        return byteArray;
    }
    
    /**
     * byteArrayテストを設定する。
     * @param byteArray byteArrayテスト
     */
    public void setByteArray(String[] byteArray) {
        this.byteArray = byteArray;
    }
    
    /**
     * byteRangeArrayテストを取得する。
     * @return byteRangeArrayテスト
     */
    public String[] getByteRangeArray() {
        return byteRangeArray;
    }
    
    /**
     * byteRangeArrayテストを設定する。
     * @param byteRangeArray byteRangeArrayテスト
     */
    public void setByteRangeArray(String[] byteRangeArray) {
        this.byteRangeArray = byteRangeArray;
    }
    
    /**
     * capAlphaNumericStringArrayテストを取得する。
     * @return capAlphaNumericStringArrayテスト
     */
    public String[] getCapAlphaNumericStringArray() {
        return capAlphaNumericStringArray;
    }
    
    /**
     * capAlphaNumericStringArrayテストを設定する。
     * @param capAlphaNumericStringArray capAlphaNumericStringArrayテスト
     */
    public void setCapAlphaNumericStringArray(String[] 
                                                  capAlphaNumericStringArray) {
        this.capAlphaNumericStringArray = capAlphaNumericStringArray;
    }
    
    /**
     * dateArrayテストを取得する。
     * @return dateArrayテスト
     */
    public String[] getDateArray() {
        return dateArray;
    }
    
    /**
     * dateArrayテストを設定する。
     * @param dateArray dateArrayテスト
     */
    public void setDateArray(String[] dateArray) {
        this.dateArray = dateArray;
    }
    
    /**
     * dateRangeArrayテストを取得する。
     * @return dateRangeArrayテスト
     */
    public String[] getDateRangeArray() {
        return dateRangeArray;
    }
    
    /**
     * dateRangeArrayテストを設定する。
     * @param dateRangeArray dateRangeArrayテスト
     */
    public void setDateRangeArray(String[] dateRangeArray) {
        this.dateRangeArray = dateRangeArray;
    }
    
    /**
     * doubleArrayテストを取得する。
     * @return doubleArrayテスト
     */
    public String[] getDoubleArray() {
        return doubleArray;
    }
    
    /**
     * doubleArrayテストを設定する。
     * @param doubleArray doubleArrayテスト
     */
    public void setDoubleArray(String[] doubleArray) {
        this.doubleArray = doubleArray;
    }
    
    /**
     * doubleRangeArrayテストを取得する。
     * @return doubleRangeArrayテスト
     */
    public String[] getDoubleRangeArray() {
        return doubleRangeArray;
    }
    
    /**
     * doubleRangeArrayテストを設定する。
     * @param doubleRangeArray doubleRangeArrayテスト
     */
    public void setDoubleRangeArray(String[] doubleRangeArray) {
        this.doubleRangeArray = doubleRangeArray;
    }
    
    /**
     * floatArrayテストを取得する。
     * @return floatArrayテスト
     */
    public String[] getFloatArray() {
        return floatArray;
    }
    
    /**
     * floatArrayテストを設定する。
     * @param floatArray floatArrayテスト
     */
    public void setFloatArray(String[] floatArray) {
        this.floatArray = floatArray;
    }
    
    /**
     * floatRangeArrayテストを取得する。
     * @return floatRangeArrayテスト
     */
    public String[] getFloatRangeArray() {
        return floatRangeArray;
    }
    
    /**
     * floatRangeArrayテストを設定する。
     * @param floatRangeArray floatRangeArrayテスト
     */
    public void setFloatRangeArray(String[] floatRangeArray) {
        this.floatRangeArray = floatRangeArray;
    }
    
    /**
     * hankakuKanaStringArrayテストを取得する。
     * @return hankakuKanaStringArrayテスト
     */
    public String[] getHankakuKanaStringArray() {
        return hankakuKanaStringArray;
    }
    
    /**
     * hankakuKanaStringArrayテストを設定する。
     * @param hankakuKanaStringArray hankakuKanaStringArrayテスト
     */
    public void setHankakuKanaStringArray(String[] hankakuKanaStringArray) {
        this.hankakuKanaStringArray = hankakuKanaStringArray;
    }
    
    /**
     * hankakuStringArrayテストを取得する。
     * @return hankakuStringArrayテスト
     */
    public String[] getHankakuStringArray() {
        return hankakuStringArray;
    }
    
    /**
     * hankakuStringArrayテストを設定する。
     * @param hankakuStringArray hankakuStringArrayテスト
     */
    public void setHankakuStringArray(String[] hankakuStringArray) {
        this.hankakuStringArray = hankakuStringArray;
    }
    
    /**
     * integerArrayテストを取得する。
     * @return integerArrayテスト
     */
    public String[] getIntegerArray() {
        return integerArray;
    }
    
    /**
     * integerArrayテストを設定する。
     * @param integerArray integerArrayテスト
     */
    public void setIntegerArray(String[] integerArray) {
        this.integerArray = integerArray;
    }
    
    /**
     * intRangeArrayテストを取得する。
     * @return intRangeArrayテスト
     */
    public String[] getIntRangeArray() {
        return intRangeArray;
    }
    
    /**
     * intRangeArrayテストを設定する。
     * @param intRangeArray intRangeArrayテスト
     */
    public void setIntRangeArray(String[] intRangeArray) {
        this.intRangeArray = intRangeArray;
    }
    
    /**
     * longArrayテストを取得する。
     * @return longArrayテスト
     */
    public String[] getLongArray() {
        return longArray;
    }
    
    /**
     * longArrayテストを設定する。
     * @param longArray longArrayテスト
     */
    public void setLongArray(String[] longArray) {
        this.longArray = longArray;
    }
    
    /**
     * maskArrayテストを取得する。
     * @return maskArrayテスト
     */
    public String[] getMaskArray() {
        return maskArray;
    }
    
    /**
     * maskArrayテストを設定する。
     * @param maskArray maskArrayテスト
     */
    public void setMaskArray(String[] maskArray) {
        this.maskArray = maskArray;
    }
    
    /**
     * maxLengthArrayテストを取得する。
     * @return maxLengthArrayテスト
     */
    public String[] getMaxLengthArray() {
        return maxLengthArray;
    }
    
    /**
     * maxLengthArrayテストを設定する。
     * @param maxLengthArray maxLengthArrayテスト
     */
    public void setMaxLengthArray(String[] maxLengthArray) {
        this.maxLengthArray = maxLengthArray;
    }
    
    /**
     * minLengthArrayテストを取得する。
     * @return minLengthArrayテスト
     */
    public String[] getMinLengthArray() {
        return minLengthArray;
    }
    
    /**
     * minLengthArrayテストを設定する。
     * @param minLengthArray minLengthArrayテスト
     */
    public void setMinLengthArray(String[] minLengthArray) {
        this.minLengthArray = minLengthArray;
    }
    
    /**
     * numberArrayテストを取得する。
     * @return numberArrayテスト
     */
    public String[] getNumberArray() {
        return numberArray;
    }
    
    /**
     * numberArrayテストを設定する。
     * @param numberArray numberArrayテスト
     */
    public void setNumberArray(String[] numberArray) {
        this.numberArray = numberArray;
    }
    
    /**
     * numericStringArrayテストを取得する。
     * @return numericStringArrayテスト
     */
    public String[] getNumericStringArray() {
        return numericStringArray;
    }
    
    /**
     * numericStringArrayテストを設定する。
     * @param numericStringArray numericStringArrayテスト
     */
    public void setNumericStringArray(String[] numericStringArray) {
        this.numericStringArray = numericStringArray;
    }
    
    /**
     * prohibitedArrayテストを取得する。
     * @return prohibitedArrayテスト
     */
    public String[] getProhibitedArray() {
        return prohibitedArray;
    }
    
    /**
     * prohibitedArrayテストを設定する。
     * @param prohibitedArray prohibitedArrayテスト
     */
    public void setProhibitedArray(String[] prohibitedArray) {
        this.prohibitedArray = prohibitedArray;
    }
    
    /**
     * requiredArrayテストを取得する。
     * @return requiredArrayテスト
     */
    public String[] getRequiredArray() {
        return requiredArray;
    }
    
    /**
     * requiredArrayテストを設定する。
     * @param requiredArray requiredArrayテスト
     */
    public void setRequiredArray(String[] requiredArray) {
        this.requiredArray = requiredArray;
    }
    
    /**
     * shortArrayテストを取得する。
     * @return shortArrayテスト
     */
    public String[] getShortArray() {
        return shortArray;
    }
    
    /**
     * shortArrayテストを設定する。
     * @param shortArray shortArrayテスト
     */
    public void setShortArray(String[] shortArray) {
        this.shortArray = shortArray;
    }
    
    /**
     * stringLengthArrayテストを取得する。
     * @return stringLengthArrayテスト
     */
    public String[] getStringLengthArray() {
        return stringLengthArray;
    }
    
    /**
     * stringLengthArrayテストを設定する。
     * @param stringLengthArray stringLengthArrayテスト
     */
    public void setStringLengthArray(String[] stringLengthArray) {
        this.stringLengthArray = stringLengthArray;
    }
    
    /**
     * urlArrayテストを取得する。
     * @return urlArrayテスト
     */
    public String[] getUrlArray() {
        return urlArray;
    }
    
    /**
     * urlArrayテストを設定する。
     * @param urlArray urlArrayテスト
     */
    public void setUrlArray(String[] urlArray) {
        this.urlArray = urlArray;
    }
    
    /**
     * zenkakuKanaStringArrayテストを取得する。
     * @return zenkakuKanaStringArrayテスト
     */
    public String[] getZenkakuKanaStringArray() {
        return zenkakuKanaStringArray;
    }
    
    /**
     * zenkakuKanaStringArrayテストを設定する。
     * @param zenkakuKanaStringArray zenkakuKanaStringArrayテスト
     */
    public void setZenkakuKanaStringArray(String[] zenkakuKanaStringArray) {
        this.zenkakuKanaStringArray = zenkakuKanaStringArray;
    }
    
    /**
     * zenkakuStringArrayテストを取得する。
     * @return zenkakuStringArrayテスト
     */
    public String[] getZenkakuStringArray() {
        return zenkakuStringArray;
    }
    
    /**
     * zenkakuStringArrayテストを設定する。
     * @param zenkakuStringArray zenkakuStringArrayテスト
     */
    public void setZenkakuStringArray(String[] zenkakuStringArray) {
        this.zenkakuStringArray = zenkakuStringArray;
    }
    
}

